Skip to main content
POST
/
accounts
/
{account_id}
/
automations
/
{automation_id}
/
activate
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/automations/:id/activate" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X POST \
  -H 'Content-Type: application/json'
phrase automations activate \
--account_id <account_id> \
--id <id> \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/accounts/{account_id}/automations/{automation_id}/activate"

headers = {"Authorization": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};

fetch('https://api.phrase.com/v2/accounts/{account_id}/automations/{automation_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "abcd1234cdef1234abcd1234cdef1234",
  "name": "My First Automation",
  "status": "active",
  "trigger": "schedule",
  "status_filters": [
    "unverified",
    "untranslated",
    "ready_for_review"
  ],
  "project_id": "abcd1234cdef1234abcd1234cdef1234",
  "job_template_id": "abcd1234cdef1234abcd1234cdef1234",
  "tags": [
    "tag-1",
    "tag-2"
  ],
  "cron_schedule": "00 13 * * 1,2",
  "time_zone": "GMT",
  "account": "account",
  "created_at": "2021-06-28T09:52:53Z",
  "updated_at": "2021-06-28T09:52:53Z"
}
{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

account_id
string
required

Account ID

id
string
required

ID

Response

OK

id
string
name
string
status
enum<string>
Available options:
inactive,
active,
error
trigger
enum<string>
Available options:
schedule,
upload
status_filters
enum<string>[]

translation key statuses used to filter keys that are added to jobs

Available options:
unverified,
untranslated,
ready_for_review
project_id
string
project_ids
string[]

All project IDs the automation applies to. Returned alongside the singular project_id for backwards compatibility.

job_template_id
string
job_owner_id
string | null

User ID of the job owner that newly created jobs are assigned to.

include_only_updated_locales
boolean

When true, the automation only acts on locales that changed since its last run.

tags
string[]
cron_schedule
string
time_zone
string
account
account · object
Example:
{
"id": "abcd1234",
"name": "Company Account",
"slug": "company_account",
"company": "My Awesome Company",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"company_logo_url": "http://assets.example.com/company_logo.png"
}
created_at
string<date-time>
updated_at
string<date-time>